{
  "ConnectionString": "%appdata%/Biometric/data/application.stage.db",
  "ServerAddress": "https://biometric-stage.getit.rest/api/0/",
  "UpdateRepository": "https://repo.getit.rest/Plugins/Biometric/Development/",
  "NLog": {
    "throwConfigExceptions": true,
    "targets": {
      "async": true,
      "application": {
        "type": "File",
        "fileName": "${specialfolder:folder=ApplicationData}/Biometric/logs/application-${shortdate}.log",
        "layout": "[${longdate}][${uppercase:${level}}][${threadid}][${callsite}] ${message} ${exception:format=tostring}",
      },
      "server": {
        "type": "File",
        "fileName": "${specialfolder:folder=ApplicationData}/Biometric/logs/server-${shortdate}.log",
        "layout": "[${longdate}][${uppercase:${level}}][${threadid}][${callsite}] ${message} ${exception:format=tostring}"
      },
      "api": {
        "type": "File",
        "fileName": "${specialfolder:folder=ApplicationData}/Biometric/logs/api-${shortdate}.log",
        "layout": "[${longdate}][${uppercase:${level}}][${threadid}][${callsite}] ${message} ${exception:format=tostring}"
      },
      "update": {
        "type": "File",
        "fileName": "${specialfolder:folder=ApplicationData}/Biometric/logs/update-${shortdate}.log",
        "layout": "[${longdate}][${uppercase:${level}}][${threadid}][${callsite}] ${message} ${exception:format=tostring}"
      },
      "db": {
        "type": "File",
        "fileName": "${specialfolder:folder=ApplicationData}/Biometric/logs/db-${shortdate}.log",
        "layout": "[${longdate}][${uppercase:${level}}][${threadid}][${callsite}] ${message} ${exception:format=tostring}"
      },
      "error": {
        "type": "File",
        "fileName": "${specialfolder:folder=ApplicationData}/Biometric/logs/error-${shortdate}.log",
        "layout": "[${longdate}][${uppercase:${level}}][${threadid}][${callsite}] ${message} ${exception:format=tostring}"
      }
    },
    "rules": [
      {
        "logger": "Biometric.Updater.*",
        "minLevel": "Debug",
        "writeTo": "update"
      },
      {
        "logger": "Biometric.WebAPI.*",
        "minLevel": "Debug",
        "writeTo": "server"
      },
      {
        "logger": "Biometric.ApiClient.*",
        "minLevel": "Debug",
        "writeTo": "api"
      },
      {
        "logger": "Biometric.Application.*",
        "minLevel": "Trace",
        "writeTo": "application"
      },
      {
        "logger": "Microsoft.EntityFrameworkCore.*",
        "minLevel": "Info",
        "writeTo": "db"
      },
      {
        "logger": "*",
        "minLevel": "Error",
        "writeTo": "error"
      }
    ]
  },
  "Logging": {
    "LogLevel": {
      "Default": "Information",
      "Microsoft.Hosting.Lifetime": "Information"
    }
  }
}
